'                                 FORZE.BAS

'     versione 1.1 per QBASIC                                     rev. 11.93

CONST SisTec = 0, SisInt = 1

CLS
PRINT "                  FORZE - vers. 1.1                 rev. 11.93"
PRINT : PRINT
PRINT "        Le ipotesi  di calcolo  e le  modalit  operative  del  programma"
PRINT "        FORZE  sono riportate nella terza parte,  capitolo 3,  del libro:"
PRINT "        A.Ghersi, Edifici antisismici con struttura intelaiate in cemento"
PRINT "        armato, CUEN, Napoli, 1986-1991."
PRINT
PRINT "        La presente versione legge i dati da un file anzich da linee del"
PRINT "        programma;  inoltre,  in aggiunta  a quanto  indicato  nel libro,"
PRINT "        consente di mandare in esecuzione il programma con l'opzione:"
PRINT "           /SI    se dati  e risultati  sono  nel sistema  internazionale"
PRINT "                    (unit base kN e m)"
PRINT
PRINT
PRINT "        Nome del file che contiene i dati ";
INPUT Fi$
PRINT
PRINT "        Unit di uscita ?"
PRINT "        CON=schermo, PRN=stampante, oppure nome di un file"
PRINT "        ";
INPUT Fo$
Fo$ = UCASE$(Fo$)
IF Fo$ = "" THEN Fo$ = "CON"
PRINT
' - - - - -  individua le unit di misura
C$ = UCASE$(COMMAND$)
IF INSTR(C$, "/SI") <> 0 THEN Unit = SisInt ELSE Unit = SisTec
' - - - - -  lettura dati
Fi = FREEFILE
OPEN Fi$ FOR INPUT AS #Fi
' lettura numero di piani
INPUT #Fi, N
' dimensionamento variabili con indice
DIM F(N), G(N), H(N), H0(N), W(N)
' lettura altri dati
INPUT #Fi, C, R, E, B, I0
FOR I = 1 TO N
   INPUT #Fi, H0(I)
NEXT I
FOR I = 1 TO N
   INPUT #Fi, W(I)
NEXT I
CLOSE #Fi
' - - - - -  calcolo
H(1) = H0(1)
FOR I = 2 TO N
   H(I) = H(I - 1) + H0(I)
NEXT I
S1 = 0
S2 = 0
FOR I = 1 TO N
   S1 = S1 + W(I)
   S2 = S2 + W(I) * H(I)
NEXT I
FOR I = 1 TO N
   G(I) = H(I) * S1 / S2
   F(I) = C * R * E * B * I0 * G(I) * W(I)
NEXT I
' - - - - -  stampa risultati
Fo = FREEFILE
OPEN Fo$ FOR OUTPUT AS #Fo
IF Fo$ = "CON" THEN CLS
FOR I = N TO 1 STEP -1
   IF Unit = SisTec THEN
      PRINT #Fo, USING "piano ##    W =####.## t"; I; W(I);
      PRINT #Fo, USING "    h =###.## m    gamma =##.###"; H(I); G(I);
      PRINT #Fo, USING "    F =###.## t"; F(I)
   ELSE
      PRINT #Fo, USING "piano ##    W =#####.# kN"; I; W(I);
      PRINT #Fo, USING "    h =###.## m    gamma =##.###"; H(I); G(I);
      PRINT #Fo, USING "    F =####.# kN"; F(I)
   END IF
NEXT I
PRINT #Fo, : PRINT #Fo,
CLOSE #Fo
LOCATE 23, 1
PRINT "Elaborazione terminata"
END

